Availability

Find available days

post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/AvailableDaysV2

Gets the days that there is availability in the supplied restaurant for the search criteria. The Maximum date range you can search over is 60 days

Authorizations
HTTPRequired

Bearer token using a JWT

Path parameters
micrositeNamestringRequired

The restaurant name.

Query parameters
api-versionstringOptional
Body

The request to search availability over a date range

DateFromstring · date-timeOptional

The start date for the search

DateTostring · date-timeOptional

The end date for the search. The latest date that can be specified in the date range is 01/01/2079.

PartySizeinteger · int32Optional

The party size

ChannelCodestringOptional

Optional: The channel code. Defaults to ONLINE

AvailabilityTypestring · enumOptional

Whether we're searching for a table reservation or takeaway. If it is not included it will default to "Reservation".

Possible values:
Responses
chevron-right
200

OK

string[]Optional
post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/AvailableDaysV2
200

OK

Search a single day

post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/AvailabilitySearch

Searches for availability.

Authorizations
HTTPRequired

Bearer token using a JWT

Path parameters
micrositeNamestringRequired

The restaurant's microsite name.

Query parameters
api-versionstringOptional
Body

The parameters for an availability search.

VisitDatestring · date-timeRequired

Gets or sets the date to search for.

PartySizeinteger · int32Required

Gets or sets the size of the party.

ChannelCodestringOptional

The code of the channel where the search is coming from

BookingIdinteger · int32Optional

The Id of a booking to exclude from the availability search. Only to be supplied if looking for availability for an existing booking that is being edited.

AreaIdinteger · int32Optional

The id of an area to restrict the availability search to. If none is specified the search will take place across all areas.

AvailabilityTypestring · enumOptional

Whether we're searching for a table reservation or takeaway

Possible values:
Responses
chevron-right
200

OK

The results of an availability search.

StandardAvailabilityMayRequireCreditCardbooleanOptional

true if standard availability may require credit card details to be entered (e.g. if a deposit is required).

post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/AvailabilitySearch
200

OK

Search a date range

post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/AvailabilityForDateRangeV2

Is used to populate the UI of calendar date picker with the 'Bookable' vs. 'Not Bookable' dates in relation to the users search criteria. Use should be underpinned by prior reference to

  1. 'Get_Setup: AcceptBookingsDaysInAdvance' to cut of bookable dates beyond the limitation. The API call is limited (by design) to only allow calls of 120 Days data at a time. Where an integration requires a larger date range then a second call should be made for the additional days required.

  2. A follow up API call to Get_Availability must always be done to get more detail about the promotional booking options, Leavetime and whether or not a Payment or Card is required to secure the booking.

Authorizations
HTTPRequired

Bearer token using a JWT

Path parameters
micrositeNamestringRequired

The restaurant name.

Query parameters
api-versionstringOptional
Body

The request to search availability over a date range

DateFromstring · date-timeRequired

The start date for the search

DateTostring · date-timeRequired

The end date for the search

PartySizeinteger · int32Required

The party size

ChannelCodestringOptional

Optional: The channel code. Defaults to ONLINE

PromotionIdinteger · int32Optional

Optional: The promotion to check availability for

AvailabilityTypestring · enumOptional

Whether we're searching for a table reservation or takeaway

Possible values:
Responses
chevron-right
200

OK

A time slot available for booking.

DateFromstringOptional

The start date of the request

DateTostringOptional

The end date of the request

NumberOfDaysReturnedinteger · int32Optional

The total number of days the availability search was made for. If the search is being attempted for more than 120 days, the range will be truncated down to a 120 day range.

MissingDatesStartstringOptional

The start date of the missing dates

MissingDatesEndstringOptional

The end date of the missing dates

post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/AvailabilityForDateRangeV2
200

OK

Search across multiple channels

post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/AvailabilitySearchByMultipleChannels

Searches for availability across multiple channels. The response object contains a separate set of results for each channel searched for. Please note that you can search for up to a maximum of 10 channels at once.

Authorizations
HTTPRequired

Bearer token using a JWT

Path parameters
micrositeNamestringRequired

The restaurant's microsite name.

Query parameters
api-versionstringOptional
Body

The request to search for availability by multiple channels.

VisitDatestring · date-timeRequired

Gets or sets the date to search for.

PartySizeinteger · int32Required

Gets or sets the size of the party.

ChannelCodesstring[]Required

The channels to search for.

BookingIdinteger · int32Optional

The Id of a booking to exclude from the availability search. Only to be supplied if looking for availability for an existing booking that is being edited.

Responses
chevron-right
200

OK

The response of a multiple-channel availability search.

post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/AvailabilitySearchByMultipleChannels
200

OK

Search across multiple channels

post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/AvailabilitySearchByMultipleChannelsV2

Searches for availability across multiple channels. The response object contains a separate set of results for each channel searched for. Please note that you can search for up to a maximum of 10 channels at once.

Authorizations
HTTPRequired

Bearer token using a JWT

Path parameters
micrositeNamestringRequired

The restaurant's microsite name.

Query parameters
api-versionstringOptional
Body

The request to search for availability by multiple channels.

VisitDatestring · date-timeRequired

Gets or sets the date to search for.

PartySizeinteger · int32Required

Gets or sets the size of the party.

ChannelCodesstring[]Required

The channels to search for.

BookingIdinteger · int32Optional

The Id of a booking to exclude from the availability search. Only to be supplied if looking for availability for an existing booking that is being edited.

Responses
chevron-right
200

OK

The response of a multiple-channel availability search v2.

post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/AvailabilitySearchByMultipleChannelsV2
200

OK

Last updated

Was this helpful?